Bug 7508 - unexpanded macros
: unexpanded macros
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/webalizer)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-29 07:11 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-29 07:11:21
webalizer-2.01.10-alt5.1.i586.rpm	TRIGGERSCRIPTS	%apache_webmaster
------- Comment #1 From 2005-07-29 07:14:27 -------
[at@basalt RPMS]$ rpm -qp --triggers webalizer-2.01.10-alt5.1.i586.rpm
triggerpostun script (through /bin/sh) -- webalizer < 2.01.10-alt3
echo "Fixing permissions after faulty previous package:"
/usr/sbin/groupadd -r -f webalizer ||:
/usr/sbin/useradd -g webalizer -G apache -c 'The Webalizer' \
        -d /var/lib/webalizer -s /dev/null -r webalizer ||:
for i in /var/lib/webalizer /var/www/html/webalizer; do
        find $i -group %apache_webmaster \( -type f -o -type d \) -print0 \
        | xargs -r0 -- /bin/chown -Rv root:webalizer
done
[at@basalt RPMS]$
------- Comment #2 From 2005-07-29 08:26:34 -------
Эй.  Я ж объяснил, что он определён в apache-devel, который и указан в
BuildRequires.
------- Comment #3 From 2005-07-29 12:32:05 -------
(In reply to comment #2)
> Эй.  Я ж объяснил, что он определён в apache-devel, который и указан в
> BuildRequires.
В собранном пакете макрос не раскрыт? Значит, баг.
И уже неважно, где он там на этапе сборки определен, раз не помогло...
------- Comment #4 From 2005-07-29 12:37:03 -------
(In reply to comment #3)
> В собранном пакете макрос не раскрыт? Значит, баг.
Пока мне не покажут, где это написано -- это не баг, а чьи-то тараканы, причём
не мои.

> И уже неважно, где он там на этапе сборки определен, раз не помогло...
Чему?
------- Comment #5 From 2005-07-29 12:59:34 -------
(In reply to comment #2)
> Эй.  Я ж объяснил, что он определён в apache-devel, который и указан в
> BuildRequires.

Вы правы, но в какой версии появилась эта зависимость ?
Сейчас ее нет.

$ rpmquery -pR webalizer-2.01.10-alt5.1.src.rpm
freetype2  
libdb4-devel  
libgd2-devel  
libpng-devel  
xorg-x11-libs  
zlib-devel  
rpmlib(CompressedFileNames) <= 3.0.4-1
------- Comment #6 From 2005-07-29 13:10:26 -------
(In reply to comment #4)
> Пока мне не покажут, где это написано -- это не баг
Что написано?
Вон, в 1-м комменте четко видно, что макрос не раскрылся, и по идее скрипт 
правильно выполниться не сможет.

> > И уже неважно, где он там на этапе сборки определен, раз не помогло...
> Чему?
Раскрытию макроса.
------- Comment #7 From 2005-07-29 17:18:40 -------
А, дошло -- в --scripts смотрел.  Действительно не должно работать, но
актуально
для вебалайзеров с двухгодичным (без двух дней) пробегом или около того.  В
смысле когда %postun был поправлен...

Спасибо за настырность, буду думать, советы принимаются. (eval'нуть его, что
ли)

PS: вообще порядок раскрытия макросов действительно бы где-то как-то
пофискировать, хоть в р-не SpecTips на wiki.
------- Comment #8 From 2007-11-11 00:02:33 -------
fixed in 2.01.10-alt7 -- это действительно были не мои тараканы, хватило
пересборки без изменения в этой части спека.

$ rpm -qp --triggers i586/RPMS.hasher/webalizer-2.01.10-alt7.i586.rpm 
triggerpostun script (through /bin/sh) -- webalizer < 2.01.10-alt3
echo "Fixing permissions after faulty previous package:"
/usr/sbin/groupadd -r -f webalizer ||:
/usr/sbin/useradd -g webalizer -G apache -c 'The Webalizer' \
        -d /var/lib/webalizer -s /dev/null -r webalizer ||: 
for i in /var/lib/webalizer /var/www/html/webalizer; do
        find $i -group webmaster \( -type f -o -type d \) -print0 \
        | xargs -r0 -- chown -Rv root:webalizer
done

2 at, wrar: спасибо за обнаружение и терпеливое разъяснение.